=head1 NAME

fbstat - analyze firebird database

=head1 SYNOPSIS

    fbstat [command] [option...] [server:]database
    fbstat -h server:db
    fbstat -all server:db
    fbstat -data server:db

=head1 DESCRIPTION

(I<Note>: Due to file-level conflict, the Debian package has changed the name
of B<gstat> to fbstat.)

B<fbstat> Analyzes Firebird databases and produces different kinds of reports.
These are useful when analyzing where all this huge disk space has gone or when
estimating evaluating index efficiency.

=head1 OPTIONS

=over

=item -all

Analyze data and index pages.

=item -data

Analyze data pages.

=item -system

Analyze system tables.

=item -header

Display information from the database header, skip analyzing any tables.

=item -index

Analyze leaf index pages.

=item -record

Analyze average record and version length.

=item -table I<table>

Analyze data pages used by the given table.

=item -nocreation

Suppress creation date.

=item -user I<name>

=item -password I<secret>

=item -fetch_password I<file>

Authentication parameters.

=item -z

=item -?

Displays version number.

=back

=head1 AUTHOR & COPYRIGHT

Copyright (C) 2010, Damyan Ivanov.

This manpage was written by Damyan Ivanov for the Debian project but may be
used by others. Permission is granted to use this document, with or without
modifications, provided that this notice is retained. If we meet some day, and
you think this stuff is worth it, you can buy me a beer in return.
